### Enumeration

# Devhelp LinkType

#### Declaration

    enum Devhelp.LinkType

#### Description [src]

The type of the content the link points to.

#### Members

Name | Description
--- | ---
`DH_LINK_TYPE_BOOK` | The top-level page of a `DhBook`.
`DH_LINK_TYPE_PAGE` | A page.
`DH_LINK_TYPE_KEYWORD` | Another kind of keyword.
`DH_LINK_TYPE_FUNCTION` | A function keyword.
`DH_LINK_TYPE_STRUCT` | A struct keyword.
`DH_LINK_TYPE_MACRO` | A macro keyword.
`DH_LINK_TYPE_ENUM` | An enum keyword.
`DH_LINK_TYPE_TYPEDEF` | A typedef keyword.
`DH_LINK_TYPE_PROPERTY` | A property keyword.
`DH_LINK_TYPE_SIGNAL` | A signal keyword.

#### Type functions

###### dh_link_type_to_string

No description available.